std::promise< void > Class Reference
Concurrency » Futures

`#include <future>`

## Public Member Functions

template<typename _Allocator>
| promise (allocator_arg_t, const _Allocator &, promise &&__rhs)
template<typename _Allocator>
| promise (allocator_arg_t, const _Allocator &__a)
| promise (const promise &)=delete
| promise (promise &&__rhs) noexcept
future< void > | get_future ()
promise & | operator= (const promise &)=delete
promise & | operator= (promise &&__rhs) noexcept
void | set_exception (exception_ptr __p)
void | set_exception_at_thread_exit (exception_ptr __p)
void | set_value ()
void | set_value_at_thread_exit ()
void | swap (promise &__rhs) noexcept

## Friends

template<typename, typename>
struct | _State::_Setter

## Detailed Description

Explicit specialization for promise<void>.

Definition at line 1314 of file future.

## Constructor & Destructor Documentation

## promise() [1/4]

std::promise< void >::promise | ( |  | ) |

inline

Definition at line 1326 of file future.

## promise() [2/4]

std::promise< void >::promise | ( | promise< void > && | __rhs | ) |

inline noexcept

Definition at line 1331 of file future.

## promise() [3/4]

template<typename _Allocator>

std::promise< void >::promise | ( | allocator_arg_t | ,
|  | const _Allocator & | __a )

inline

Definition at line 1337 of file future.

## promise() [4/4]

template<typename _Allocator>

std::promise< void >::promise | ( | allocator_arg_t | ,
|  | const _Allocator & | ,
|  | promise< void > && | __rhs )

inline

Definition at line 1345 of file future.

## ~promise()

std::promise< void >::~promise | ( |  | ) |

inline

Definition at line 1352 of file future.

## Member Function Documentation

## get_future()

future< void > std::promise< void >::get_future | ( |  | ) |

inline

Definition at line 1377 of file future.

## operator=()

promise & std::promise< void >::operator= | ( | promise< void > && | __rhs | ) |

inline noexcept

Definition at line 1360 of file future.

## set_exception()

void std::promise< void >::set_exception | ( | exception_ptr | __p | ) |

inline

Definition at line 1386 of file future.

## set_exception_at_thread_exit()

void std::promise< void >::set_exception_at_thread_exit | ( | exception_ptr | __p | ) |

inline

Definition at line 1394 of file future.

## set_value()

void std::promise< void >::set_value | ( |  | ) |

inline

Definition at line 1382 of file future.

## set_value_at_thread_exit()

void std::promise< void >::set_value_at_thread_exit | ( |  | ) |

inline

Definition at line 1390 of file future.

## swap()

void std::promise< void >::swap | ( | promise< void > & | __rhs | ) |

inline noexcept

Definition at line 1369 of file future.

## Friends And Related Symbol Documentation

## _State::_Setter

template<typename, typename>

friend struct _State::_Setter

friend

Definition at line 1319 of file future.

The documentation for this class was generated from the following file:

- future